<?php

#require_once("config/connect.php");
require_once("global_functions.php");



$produkt_id = rtrim($_REQUEST['produkt_id']);
$stueck = rtrim($_REQUEST['stueck']);
$preis = rtrim($_REQUEST['preis']);
$aktueller_bon = rtrim($_REQUEST['aktueller_bon']);

produkt_hinzufuegen($produkt_id, $stueck, $preis, $aktueller_bon);
//offenen_bon_anzeigen($aktueller_bon);

function checkZeitpreis($produkt_id)
{
	
	# abfragen ob jetzt happy hour ist
	$curDay = date('w');
	$curTime = date('H:i');
	$getHh = mysql_query("SELECT * FROM happyHourProfil WHERE tag = " . $curDay . " AND tagset > 0 
							AND von < '" . $curTime . "' AND bis > '" . $curTime . "' ");
	if (mysql_num_rows($getHh) == 0) {
		return false;
	}
	$getZeitpreis = mysql_fetch_array(mysql_query("SELECT products.printname, products.zeitpreis_netto AS prodPreis, 
						categories.zeitpreis_brutto AS catPreis, taxes.RATE AS taxRate
					FROM products
					LEFT JOIN categories ON products.CATEGORY = categories.ID
					LEFT JOIN taxes ON products.TAXCAT = taxes.ID
					WHERE products.id = " . $produkt_id . " "));
	if ($getZeitpreis['prodPreis'] > 0) return number_format($getZeitpreis['prodPreis'], 8, ".", "");
	else if ($getZeitpreis['prodPreis'] == 0 && $getZeitpreis['catPreis'] > 0) {
		#im categories table steht nur der brutto preis in den offenen bon kommt der netto
		return number_format($getZeitpreis['catPreis'] / (1 + $getZeitpreis['taxRate']), 8, ".", "");
	} else return false;
}
